Subject: [RFC PATCH 0/2] efi: add contents of LinuxExtraArgs EFI var to command line

From: [email-masked] (Graeme Gregory)
Date: Thu, 2 Aug 2018 16:47:54 +0100

On Wed, Aug 01, 2018 at 11:07:17AM +0100, James Morse wrote:
> Hi Geoff,
> 
> On 31/07/18 16:54, Geoff Levand wrote:
> > This m400 HEST problem is blocking me from enabling APEI support in
> > Debian [1], so I'd like to come to a conclusion on it.
> > 
> > In summary from [2], Riku and Graeme mention they still have some m400
> > systems in use.  Mark did some investigation and found the cause to be
> > generated by the m400's firmware, appearing after the EFI stub's call
> > to ExitBootServices.
> 
> I did manage to borrow of one of these boxes to discover one additional piece of
> information: this firmware bug doesn't exist in the latest released firmware.
> 
> The box was running the most recent firmware, and quotes its System ROM version as:
> | U02 v1.01 (10/02/2015)
> 
> This thing doesn't have a HEST at all.
> 
> 
> Why is the the latest? A current Moonshot component pack[0]'s release notes
> quote m400 as removed, and say 'MCP 2017.06.0' was the latest with support. I
> can't find the Release Notes for '2017.07.0', but '2017.04.0' is here[1], and it
> contains:
> | ProLiant_m400_Server_ROM_U02_2015_10_02.HPb
> 
> 
> It looks like we've been talking about a bug in firmware that was never
> released. Can anyone shed any light on where "U02 v1.10 (08/19/2016)" comes from?
> 
> 
> > Do we want to have an arm64 specific in-kernel fix for this, or should
> > it be left to the distro maintainers and end users to decide if and
> > how they want to handle it?
> 
> Leave it to the distro maintainers to decide. Any user capable of installing
> unofficial firmware should be able to add a string to the kernel command line.
> 
> 
I think most people are running the firmware provided from HPe support
but was never put on release site. NDA prevents us talking about it
though!

Graeme

> Thanks,
> 
> James
> 
> [0]
> https://support.hpe.com/hpsc/swd/public/detail?sp4ts.oid=5409784&swItemId=MTX_7ad3cb148b4a444f96470839d8&swEnvOid=4184#tab4
> [1] https://support.hpe.com/hpsc/doc/public/display?docId=c05335771